# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions

# vl::VLXClassWrapper_Material Struct Reference

VLX wrapper of vl::Material. More...

`#include <VLXWrappers.hpp>`

Inheritance diagram for vl::VLXClassWrapper_Material:

List of all members.

## Public Member Functions

void | importMaterial (VLXSerializer &s, const VLXStructure *vlx, Material *obj)
virtual ref< Object > | importVLX (VLXSerializer &s, const VLXStructure *vlx)
void | exportMaterial (const Material *obj, VLXStructure *vlx)
virtual ref< VLXStructure > | exportVLX (VLXSerializer &s, const Object *obj)

## Detailed Description

VLX wrapper of vl::Material.

Definition at line 3058 of file VLXWrappers.hpp.

## Member Function Documentation

void vl::VLXClassWrapper_Material::importMaterial | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx,
|  | Material * | obj
| ) |  | `[inline]`

Definition at line 3060 of file VLXWrappers.hpp.

References vl::VLXValue::ArrayReal, vl::VLXValue::Bool, vl::CM_AMBIENT_AND_DIFFUSE, vl::VLXValue::getArrayReal(), vl::VLXValue::getBool(), vl::VLXValue::getReal(), vl::VLXValue::getString(), vl::VLXStructure::getValue(), vl::VLXValue::Identifier, vl::PF_FRONT_AND_BACK, vl::VLXValue::Real, vl::Material::setBackAmbient(), vl::Material::setBackDiffuse(), vl::Material::setBackEmission(), vl::Material::setBackShininess(), vl::Material::setBackSpecular(), vl::Material::setColorMaterial(), vl::Material::setColorMaterialEnabled(), vl::Material::setFrontAmbient(), vl::Material::setFrontDiffuse(), vl::Material::setFrontEmission(), vl::Material::setFrontShininess(), vl::Material::setFrontSpecular(), vl::Object::setObjectName(), vl::VLXValue::type(), vl::VLXStructure::value(), vl::vlx_EColorMaterial(), vl::vlx_EPolygonFace(), VLX_IMPORT_CHECK_RETURN, and vl::vlx_vec4().

Referenced by importVLX().

virtual ref<Object> vl::VLXClassWrapper_Material::importVLX | ( | VLXSerializer & | s,
|  | const VLXStructure * | vlx
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3156 of file VLXWrappers.hpp.

References vl::ref< T >::get(), importMaterial(), and vl::VLXSerializer::registerImportedStructure().

void vl::VLXClassWrapper_Material::exportMaterial | ( | const Material * | obj,
|  | VLXStructure * | vlx
| ) |  | `[inline]`

Definition at line 3165 of file VLXWrappers.hpp.

References vl::Material::backAmbient(), vl::Material::backDiffuse(), vl::Material::backEmission(), vl::Material::backShininess(), vl::Material::backSpecular(), vl::Material::colorMaterial(), vl::Material::colorMaterialEnabled(), vl::Material::colorMaterialFace(), vl::Material::frontAmbient(), vl::Material::frontDiffuse(), vl::Material::frontEmission(), vl::Material::frontShininess(), vl::Material::frontSpecular(), vl::Object::objectName(), vl::vlx_EColorMaterial(), vl::vlx_EPolygonFace(), vl::vlx_Identifier(), vl::vlx_String(), and vl::vlx_toValue().

Referenced by exportVLX().

virtual ref<VLXStructure> vl::VLXClassWrapper_Material::exportVLX | ( | VLXSerializer & | s,
|  | const Object * | obj
| ) |  | `[inline, virtual]`

Implements vl::VLXClassWrapper.

Definition at line 3188 of file VLXWrappers.hpp.

References vl::Object::as(), exportMaterial(), vl::VLXSerializer::generateID(), vl::VLXSerializer::registerExportedObject(), VL_CHECK, and vl::vlx_makeTag().

The documentation for this struct was generated from the following file:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/VLXWrappers.hpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:58.
Permission is granted to use this page to write and publish articles regarding Visualization Library.